inventory-levels
Update multiple inventory levels
Update multiple inventory levels at once
PATCH
/
api
/
inventory_levels
/
bulk_update
Update multiple inventory levels
curl --request PATCH \
--url https://api.fluid.app/api/inventory_levels/bulk_update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inventory_levels": [
{
"id": 123,
"on_hand": 123,
"available": 123,
"unavailable": 123,
"committed": 123,
"reason": "<string>",
"unavailable_item_counts_by_category": [
"<string>"
],
"track_quantity": true,
"keep_selling": true
}
]
}
'import requests
url = "https://api.fluid.app/api/inventory_levels/bulk_update"
payload = { "inventory_levels": [
{
"id": 123,
"on_hand": 123,
"available": 123,
"unavailable": 123,
"committed": 123,
"reason": "<string>",
"unavailable_item_counts_by_category": ["<string>"],
"track_quantity": True,
"keep_selling": True
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
inventory_levels: [
{
id: 123,
on_hand: 123,
available: 123,
unavailable: 123,
committed: 123,
reason: '<string>',
unavailable_item_counts_by_category: ['<string>'],
track_quantity: true,
keep_selling: true
}
]
})
};
fetch('https://api.fluid.app/api/inventory_levels/bulk_update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer token authentication
Body
application/json
Request payload
Show child attributes
Show child attributes
Response
string | number | boolean | null | any[] | object
Success
Any valid JSON value for provider, integration, theme, metadata, or other dynamic payloads whose keys are not fixed by the API contract.
⌘I
Update multiple inventory levels
